//FirstView Component Constructor
function FirstView() {
	//create object instance, a parasitic subclass of Observable
	var self = Ti.UI.createView();
	
	//label using localization-ready strings from <app dir>/i18n/en/strings.xml
	var label = Ti.UI.createLabel({
		color:'#000000',
		text:String.format(L('welcome to blackberry testing :)'),'Titanium'),
		height:'auto',
		width:'auto'
	});
	self.add(label);
	
	var button = Titanium.UI.createButton({
   title: 'Hello',
   //top: 50,
   width: 400,
   height: 100
   });
   button.addEventListener('click',function(e)
   {
   alert('You clicked a button');
   Ti.API.info("You clicked the button");
   });
   self.add(button);
  
	//Add behavior for UI
	label.addEventListener('click', function(e) {
		alert(e.source.text);
	});
	
var slider = Titanium.UI.createSlider({
   // top: 150,
    min: 0,
    max: 100,
    width: '100%',
    value: 50
    });
    
var label = Ti.UI.createLabel({
    text: slider.value,
    width: '100%',
    height: 'auto',
    //top: 100,
    left: 0,
    textAlign: Ti.UI.TEXT_ALIGNMENT_CENTER
    });

slider.addEventListener('change', function(e) {
    label.text = String.format("%3.1f", e.value);
});	
self.add(slider);

var basicSwitch = Ti.UI.createSwitch({
  value:true,
 // top: 320
});
self.add(basicSwitch);

basicSwitch.addEventListener('change',function(e){
  Ti.API.info('Switch value: ' + basicSwitch.value);
});

var textField = Ti.UI.createTextField({
  borderStyle: Ti.UI.INPUT_BORDERSTYLE_ROUNDED,
  color: '#336699',
  //top: 200, left: 10,
  width: 300, height: 70
});
self.add(textField);

	
	return self;
}

module.exports = FirstView;
